### A free/open-source library for quantitative finance

Public Types | Related Functions
Replication Struct Reference

Digital option replication strategy. More...

`#include <ql/cashflows/replication.hpp>`

List of all members.

## Public Types

enum | Type { Sub, Central, Super }

## Related Functions

(Note that these are not member functions.)
std::ostream & | operator<< (std::ostream &, Replication::Type)

## Detailed Description

Digital option replication strategy.

Specification of replication strategies used to price the embedded digital option in a digital coupon.

## Friends And Related Function Documentation

std::ostream & operator<< | ( | std::ostream & | ,
|  | Replication::Type |
| ) |  | `[related]`